package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class Utenti.
 * @see sicura.entities.Utenti
 * @author Hibernate Tools
 */
@Stateless
public class UtentiHome {

	private static final Log log = LogFactory.getLog(UtentiHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(Utenti transientInstance) {
		log.debug("persisting Utenti instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(Utenti persistentInstance) {
		log.debug("removing Utenti instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public Utenti merge(Utenti detachedInstance) {
		log.debug("merging Utenti instance");
		try {
			Utenti result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public Utenti findById(Integer id) {
		log.debug("getting Utenti instance with id: " + id);
		try {
			Utenti instance = entityManager.find(Utenti.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
